package org.project.entity.enemies;

import org.project.entity.Entity;

public class Vampire extends Enemy {

    public Vampire() {
        super("Vampire", 50, 12);
    }

    @Override
    public void attackAction(Entity target) {
        if (!isStunned()) {
            System.out.println("\u001B[31m🦇 Vampire uses Life Steal!\u001B[0m");
            target.takeDamage(baseDamage);

            int healAmount = baseDamage / 2;
            heal(healAmount);
            System.out.println("\u001B[32m🦇 Vampire healed for " + healAmount + " HP!\u001B[0m");
        } else {
            System.out.println("🦇 Vampire is stunned and skips the turn!");
            setStunned(false);
        }
    }
}